%define upstream_name    Term-VT102-Boundless
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A L<Term::VT102> that grows automatically to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::VT102) >= 0.910.0
BuildRequires: perl(Test::More) >= 0.530.0
BuildRequires: perl(Test::use::ok)
BuildArch:  noarch

%description
This is a subclass of Term::VT102 that will grow the virtual
screen to accommodate arbitrary width and height of text.

The behavior is more similar to the buffer of a scrolling terminal emulator
than to a real terminal, making it useful for output displays in scrolling
media.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-4.mga10
+ Revision: 2205073
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-3.mga9
+ Revision: 1810994
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.50.0-2.mga8
+ Revision: 1519735
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 shlomif <shlomif> 0.50.0-1.mga7
+ Revision: 1321483
- update to 0.05

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1271648
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1034054
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 946991
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 747427
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686395
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515105
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 373324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 0.40.0-1.mga3
+ Revision: 311219
- imported package perl-Term-VT102-Boundless


* Sun Oct 28 2012 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
